## ros-humble-andino-firmware 0.1.0

=== debian/changelog ===
ros-humble-andino-firmware (0.1.0-2bookworm) bookworm; urgency=high

  * Don't send stop constantly (#150 <https://github.com/Ekumen-OS/andino/issues/150>)
  * Make sure to initialize motor speeds (#149 <https://github.com/Ekumen-OS/andino/issues/149>)
  * Adds package structures to firmware and hardware. (#133 <https://github.com/Ekumen-OS/andino/issues/133>)
  * Add PCInt class (#131 <https://github.com/Ekumen-OS/andino/issues/131>)
  * Improve PID class (#128 <https://github.com/Ekumen-OS/andino/issues/128>)
  * Add PID class (#125 <https://github.com/Ekumen-OS/andino/issues/125>)
  * Refactor PID module (#124 <https://github.com/Ekumen-OS/andino/issues/124>)
  * Replace include guard in hw.h with pragma directive (#126 <https://github.com/Ekumen-OS/andino/issues/126>)
  * Remove blank line (#127 <https://github.com/Ekumen-OS/andino/issues/127>)
  * Add Motor class (#108 <https://github.com/Ekumen-OS/andino/issues/108>)
  * Move pin definitions to hw.h header file (#107 <https://github.com/Ekumen-OS/andino/issues/107>)
  * Add ClangFormat config file (#106 <https://github.com/Ekumen-OS/andino/issues/106>)
  * Add PlatformIO support (#86 <https://github.com/Ekumen-OS/andino/issues/86>)
  * Contributors: Franco Cipollone, Gary Servin, Javier Balloffet

 -- Franco Cipollone <franco.c@ekumenlabs.com>  Sun, 08 Oct 2023 16:00:00 -0000
