=== debian/control ===
Source: ros-humble-andino-firmware
Section: misc
Priority: optional
Maintainer: Franco Cipollone <franco.c@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-andino-firmware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: The andino_firmware package
