## ros-humble-andino-firmware 0.2.0

=== debian/changelog ===
ros-humble-andino-firmware (0.2.0-2bookworm) bookworm; urgency=high

  * Camera info yaml (#231 <https://github.com/Ekumen-OS/andino/issues/231>)
  * Improve Shell unit tests (#245 <https://github.com/Ekumen-OS/andino/issues/245>)
  * fix minor typo in App class (#246 <https://github.com/Ekumen-OS/andino/issues/246>)
  * Changes to add IMU to andino firmware (#215 <https://github.com/Ekumen-OS/andino/issues/215>)
  * Add Shell class tests (#242 <https://github.com/Ekumen-OS/andino/issues/242>)
  * Modify Shell class API to allow dependency injection (#221 <https://github.com/Ekumen-OS/andino/issues/221>)
  * Add basic Platform IO instructions (#229 <https://github.com/Ekumen-OS/andino/issues/229>)
  * Add serial stream interface and the Arduino implementation (#220 <https://github.com/Ekumen-OS/andino/issues/220>)
  * Rename PID class (#218 <https://github.com/Ekumen-OS/andino/issues/218>)
  * Rename init method from Shell class (#219 <https://github.com/Ekumen-OS/andino/issues/219>)
  * Add PID class tests (#217 <https://github.com/Ekumen-OS/andino/issues/217>)
  * Only send motor commands if pid is enabled (#222 <https://github.com/Ekumen-OS/andino/issues/222>)
  * Add Encoder unit tests (#214 <https://github.com/Ekumen-OS/andino/issues/214>)
  * Add Motor unit tests (#211 <https://github.com/Ekumen-OS/andino/issues/211>)
  * Modify Encoder class API to allow dependency injection (#213 <https://github.com/Ekumen-OS/andino/issues/213>)
  * Modify Motor class API to allow dependency injection (#210 <https://github.com/Ekumen-OS/andino/issues/210>)
  * Add digital in interface (#212 <https://github.com/Ekumen-OS/andino/issues/212>)
  * Add PWM output interface and the Arduino implementation (#209 <https://github.com/Ekumen-OS/andino/issues/209>)
  * Add digital output interface and the Arduino implementation (#208 <https://github.com/Ekumen-OS/andino/issues/208>)
  * Fix Arduino header file inclusion (#207 <https://github.com/Ekumen-OS/andino/issues/207>)
  * Add basic setup for unit testing (#205 <https://github.com/Ekumen-OS/andino/issues/205>)
  * Improve app loop (#197 <https://github.com/Ekumen-OS/andino/issues/197>)
  * Improve command prompt parsing (#194 <https://github.com/Ekumen-OS/andino/issues/194>)
  * Add Shell class (#193 <https://github.com/Ekumen-OS/andino/issues/193>)
  * Supports Arduino Nano by providing a new Arduino configuration. (#195 <https://github.com/Ekumen-OS/andino/issues/195>)
  * Fixes some compilation warnings. (#196 <https://github.com/Ekumen-OS/andino/issues/196>)
  * Add command methods (#187 <https://github.com/Ekumen-OS/andino/issues/187>)
  * Enable all compiler warnings (#186 <https://github.com/Ekumen-OS/andino/issues/186>)
  * Add Hw struct (#177 <https://github.com/Ekumen-OS/andino/issues/177>)
  * Add Constants struct (#176 <https://github.com/Ekumen-OS/andino/issues/176>)
  * Add App class (#175 <https://github.com/Ekumen-OS/andino/issues/175>)
  * Add main function (#173 <https://github.com/Ekumen-OS/andino/issues/173>)
  * Fixes link to commands. (#178 <https://github.com/Ekumen-OS/andino/issues/178>)
  * Add Encoder class (#172 <https://github.com/Ekumen-OS/andino/issues/172>)
  * Contributors: Agustin Alba Chicar, Franco Cipollone, Gary Servin, Gonzo, Javier Balloffet, Jesús Silva

 -- Franco Cipollone <franco.c@ekumenlabs.com>  Thu, 18 Jul 2024 16:00:00 -0000
